﻿Imports sample.text2prnDll

Public Class Form1

    Private view As IntPtr = IntPtr.Zero

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        ' プレビュー用

        Dim prop As New T2PD_Property()

        prop.base_type = T2PD_BASE_FONT_SIZE    ' フォントサイズを指定
        prop.base_value = 30                    ' フォントサイズ 30pt
        prop.column = 2                         ' 2段組
        prop.column_space = 25                  ' 段組の隙間 25mm
        prop.opt = T2PD_OPTION_COLUMN_LINE      ' 段組の区切り線
        prop.font_name = "@ＭＳ Ｐゴシック"     ' 縦書き（縦書きフォントの指定）
        prop.space_top = 10                     ' ページ余白 10mm
        prop.space_bottom = 10
        prop.space_left = 10
        prop.space_right = 10

        Dim h As IntPtr = T2PD.Open(prop, IntPtr.Zero)
        If h = IntPtr.Zero Then
            MsgBox("設定値エラー：" & prop.error_code)
            Return
        End If

        T2PD.OutputText(h, TextBox1.Text)
        T2PD.NewColumn(h)
        T2PD.OutputText(h, TextBox2.Text)

        view = T2PD.Show(h, Me.Handle, view)

    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        ' 印刷用

        Dim dialog As New PrintDialog
        dialog.PrinterSettings = New Printing.PrinterSettings
        If dialog.ShowDialog <> Windows.Forms.DialogResult.OK Then
            Return
        End If

        Dim g As Graphics = dialog.PrinterSettings.CreateMeasurementGraphics
        Dim dc As IntPtr = g.GetHdc

        Dim prop As New T2PD_Property()

        prop.base_type = T2PD_BASE_FONT_SIZE    ' フォントサイズを指定
        prop.base_value = 30                    ' フォントサイズ 30pt
        prop.column = 2                         ' 2段組
        prop.column_space = 25                  ' 段組の隙間 25mm
        prop.opt = T2PD_OPTION_COLUMN_LINE      ' 段組の区切り線
        prop.font_name = "@ＭＳ Ｐゴシック"     ' 縦書き（縦書きフォントの指定）
        prop.space_top = 10                     ' ページ余白 10mm
        prop.space_bottom = 10
        prop.space_left = 10
        prop.space_right = 10
        ' ↑ この設定は通常はプレビュー用と同じものを使う。

        Dim h As IntPtr = T2PD.Open(prop, dc)
        If h = IntPtr.Zero Then
            MsgBox("設定値エラー：" & prop.error_code)
            Return
        End If

        T2PD.OutputText(h, TextBox1.Text)
        T2PD.NewColumn(h)
        T2PD.OutputText(h, TextBox2.Text)

        Dim result As Integer
        result = T2PD.Print(h)

        If result <= 0 Then
            MsgBox("印刷失敗：" & result)
        End If

        g.ReleaseHdc(dc)
    End Sub
End Class
