Imports System.Runtime.InteropServices

Namespace text2prnDll

    ''' <summary>
    ''' ݒ
    ''' </summary>
    <StructLayout(LayoutKind.Sequential, CharSet:=CharSet.Unicode, Pack:=1)> _
    Public Structure T2PD_Property
        ''' <summary>G[R[h</summary>
        Public error_code As Integer
        ''' <summary>tHgTCY̎w@</summary>
        Public base_type As Integer
        ''' <summary>tHgTCY</summary>
        Public base_value As Integer
        ''' <summary>ig</summary>
        Public column As Integer
        ''' <summary>^u</summary>
        Public tab_width As Integer
        ''' <summary>o̓IvV</summary>
        Public opt As Integer
        ''' <summary>sԍ̕\Ԋu</summary>
        Public output_line_number As Integer
        ''' <summary>ŏ̍s̍sԍ</summary>
        Public initial_line_number As Integer
        ''' <summary>sԍ̌</summary>
        Public line_number_digit As Integer
        ''' <summary>tHg</summary>
        Public font_name As String
        ''' <summary>y[W]()</summary>
        Public space_top As Integer
        ''' <summary>y[W]()</summary>
        Public space_bottom As Integer
        ''' <summary>y[W]()</summary>
        Public space_left As Integer
        ''' <summary>y[W](E)</summary>
        Public space_right As Integer
        ''' <summary>s</summary>
        Public line_space As Integer
        ''' <summary>iǧ</summary>
        Public column_space As Integer
        ''' <summary>s֎~</summary>
        Public no_first_chars As String
        ''' <summary>s֎~</summary>
        Public no_last_chars As String
        ''' <summary>^Cg</summary>
        Public title As String
        ''' <summary>wb_</summary>
        Public header As String
        ''' <summary>tb^</summary>
        Public footer As String
    End Structure

    ''' <summary>
    ''' eɂĂ̏
    ''' </summary>
    <StructLayout(LayoutKind.Sequential, CharSet:=CharSet.Unicode, Pack:=1)> _
    Public Structure T2PD_PrintInfo
        ''' <summary>tHgTCY</summary>
        Public font_size As Double
        ''' <summary>1sɈ镶</summary>
        Public char_count_par_line As Integer
        ''' <summary>1igɈs</summary>
        Public line_count_par_column As Integer
        ''' <summary>y[W</summary>
        Public pages As Integer
    End Structure

    Module T2PD

        ''' <summary>tHgTCY̎w@F1s̕Zo</summary>
        Public Const T2PD_BASE_CHAR_PAR_LINE As Integer = 1
        ''' <summary>tHgTCY̎w@F1i̍sZo</summary>
        Public Const T2PD_BASE_LINE_PAR_COLUMN As Integer = 2
        ''' <summary>tHgTCY̎w@Fڎw</summary>
        Public Const T2PD_BASE_FONT_SIZE As Integer = 3

        ''' <summary>o̓IvVFE[ŉsȂ</summary>
        Public Const T2PD_OPTION_NO_WRAP As Integer = &H1
        ''' <summary>o̓IvVFigŋ؂</summary>
        Public Const T2PD_OPTION_COLUMN_LINE As Integer = &H2
        ''' <summary>o̓IvVFy[Wo͂</summary>
        Public Const T2PD_OPTION_PAGE_NUMBER As Integer = &H4
        ''' <summary>o̓IvVF֑s</summary>
        Public Const T2PD_OPTION_KINSOKU As Integer = &H8
        ''' <summary>o̓IvVFtHgLOGFONTŎw肷</summary>
        Public Const T2PD_OPTION_LOGFONT As Integer = &H10


        ''' <summary>G[Ȃ</summary>
        Public Const T2PD_ERROR_NONE As Integer = 0
        ''' <summary>G[Fbase_type s</summary>
        Public Const T2PD_ERROR_BASE_TYPE As Integer = -1
        ''' <summary>G[Fbase_value s</summary>
        Public Const T2PD_ERROR_BASE_VALUE As Integer = -2
        ''' <summary>G[Fcolumn s</summary>
        Public Const T2PD_ERROR_COLUMN As Integer = -3
        ''' <summary>G[Ftab_width s</summary>
        Public Const T2PD_ERROR_TAB_WIDTH As Integer = -4
        ''' <summary>G[Foutput_line_number s</summary>
        Public Const T2PD_ERROR_LINE_NUMBER As Integer = -5
        ''' <summary>G[Finitial_line_number s</summary>
        Public Const T2PD_ERROR_INIT_LINE_NUMBER As Integer = -6
        ''' <summary>G[Fline_number_digit s</summary>
        Public Const T2PD_ERROR_LINE_NUMBER_DIGIT As Integer = -7
        ''' <summary>G[FtHgȂ</summary>
        Public Const T2PD_ERROR_FONT_NAME As Integer = -8
        ''' <summary>G[Fspace_top s</summary>
        Public Const T2PD_ERROR_SPACE_TOP As Integer = -9
        ''' <summary>G[Fspace_bottom s</summary>
        Public Const T2PD_ERROR_SPACE_BOTTOM As Integer = -10
        ''' <summary>G[Fspace_left s</summary>
        Public Const T2PD_ERROR_SPACE_LEFT As Integer = -11
        ''' <summary>G[Fspace_right s</summary>
        Public Const T2PD_ERROR_SPACE_RIGHT As Integer = -12
        ''' <summary>G[Fline_space s</summary>
        Public Const T2PD_ERROR_LINE_SPACE As Integer = -13
        ''' <summary>G[Fcolumn_space s</summary>
        Public Const T2PD_ERROR_COLUMN_SPACE As Integer = -14
        ''' <summary>G[Ftitle s</summary>
        Public Const T2PD_ERROR_TITLE As Integer = -15

        ''' <summary>G[Fy[W̗]傫߂</summary>
        Public Const T2PD_ERROR_PAGE_SPACE_LARGE As Integer = -50
        ''' <summary>G[Fig</summary>
        Public Const T2PD_ERROR_COLUMN_MANY As Integer = -51
        ''' <summary>G[F</summary>
        Public Const T2PD_ERROR_CHAR_MANY As Integer = -52
        ''' <summary>G[F1s\łȂ</summary>
        Public Const T2PD_ERROR_PRINT_NOTHING As Integer = -53
        ''' <summary>G[Fs</summary>
        Public Const T2PD_ERROR_LINE_MANY As Integer = -54
        ''' <summary>G[FtHg傫߂</summary>
        Public Const T2PD_ERROR_FONT_LARGE As Integer = -55
        ''' <summary>G[Fsԍ̌傫߂</summary>
        Public Const T2PD_ERROR_LINE_NO_DIGIT_LARGE As Integer = -56

        ''' <summary>G[FtHg쐬s</summary>
        Public Const T2PD_ERROR_FONT_CREATE As Integer = -100
        ''' <summary>G[Fv^(DC)̐ݒُ</summary>
        Public Const T2PD_ERROR_PRINTER As Integer = -101
        ''' <summary>G[Fv^DCُ</summary>
        Public Const T2PD_ERROR_PRINTER_DC As Integer = -102
        ''' <summary>G[Fv^G[</summary>
        Public Const T2PD_ERROR_DEFAULT_PRINTER As Integer = -103

        <DllImport("text2prn.dll", CharSet:=CharSet.Unicode, ExactSpelling:=True)> _
        Public Function Open(ByRef prop As T2PD_Property, ByVal dc As IntPtr) As IntPtr
        End Function

        <DllImport("text2prn.dll", CharSet:=CharSet.Unicode, ExactSpelling:=True)> _
        Public Sub OutputText(ByVal h As IntPtr, ByVal text As String)
        End Sub

        <DllImport("text2prn.dll", CharSet:=CharSet.Unicode, ExactSpelling:=True)> _
        Public Sub NewColumn(ByVal h As IntPtr)
        End Sub

        <DllImport("text2prn.dll", CharSet:=CharSet.Unicode, ExactSpelling:=True)> _
        Public Sub NewPage(ByVal h As IntPtr)
        End Sub

        <DllImport("text2prn.dll", CharSet:=CharSet.Unicode, ExactSpelling:=True)> _
        Public Sub GetPrintInfo(ByVal h As IntPtr, ByRef info As T2PD_PrintInfo)
        End Sub

        <DllImport("text2prn.dll", CharSet:=CharSet.Unicode, ExactSpelling:=True)> _
        Public Function SetOutputPage(ByVal h As IntPtr, ByVal pages As String) As Integer
        End Function

        <DllImport("text2prn.dll", CharSet:=CharSet.Unicode, ExactSpelling:=True)> _
        Public Function Print(ByVal h As IntPtr) As Integer
        End Function

        <DllImport("text2prn.dll", CharSet:=CharSet.Unicode, ExactSpelling:=True)> _
        Public Function Show(ByVal h As IntPtr, ByVal hWnd As IntPtr, ByVal hView As IntPtr) As IntPtr
        End Function

        <DllImport("text2prn.dll", CharSet:=CharSet.Unicode, ExactSpelling:=True)> _
        Public Sub Cancel(ByVal h As IntPtr)
        End Sub
    End Module
End Namespace
